/*
 *   PCM time-domain equalizer
 *
 *   Copyright (C) 2002  Felipe Rivera <liebremx at users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   $Id: iir.h,v 1.7 2004/05/16 02:24:31 liebremx Exp $
 */
#ifndef IIR_H
#define IIR_H

/* Floating point */
typedef struct 
{
    float beta;
    float alpha; 
    float gamma;
}sIIRCoefficients;

/* Coefficient history for the IIR filter */
typedef struct
{
    float x[3]; /* x[n], x[n-1], x[n-2] */
    float y[3]; /* y[n], y[n-1], y[n-2] */
}sXYData;

__inline__ int iir(gpointer * d, gint length, gint srate, gint nch);


void init_iir();

#ifdef ARCH_PPC
__inline__ int round_ppc(float x);
#endif

#endif /* #define IIR_H */

